micro_utils.dokka
0.15.1

# EitherSerializer

class EitherSerializer<T1, T2>(t1Serializer: KSerializer<T1>, t2Serializer: KSerializer<T2>) : KSerializer<Either<T1, T2>>

## Constructors

EitherSerializer
Link copied to clipboard
fun <T1, T2> EitherSerializer(t1Serializer: KSerializer<T1>, t2Serializer: KSerializer<T2>)

## Functions

deserialize
Link copied to clipboard
open override fun deserialize(decoder: Decoder): Either<T1, T2>
serialize
Link copied to clipboard
open override fun serialize(encoder: Encoder, value: Either<T1, T2>)

## Properties

descriptor
Link copied to clipboard
open override val descriptor: SerialDescriptor